import { css, html } from '@microsoft/fast-element';
import { FASTElementLayout } from '@microsoft/fast-router';
import { Navigation } from './navigation';
Navigation;
export const defaultLayout = new FASTElementLayout(html `
    <div class="container">
      <foundation-settings-navigation></foundation-settings-navigation>
      <div class="content">
        <slot></slot>
      </div>
    </div>
  `, css `
    :host {
      --foundation-settings-navigation-height: 48px;
    }

    .container {
      width: 100%;
      height: 100%;
      display: block;
      position: relative;
    }

    foundation-settings-navigation {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: var(--foundation-settings-navigation-height);
    }

    .content {
      position: absolute;
      top: var(--foundation-settings-navigation-height);
      bottom: 0;
      left: 0;
      right: 0;
    }
  `);
